# v4l2_ctrl_videodec_currentframe_metadata_ Struct Reference
[V4L2 Video Decoder]

Holds the the frame specific metadata for the current frame. More...

`#include <v4l2_nv_extensions.h>`

List of all members.

## Public Attributes

__u32 | bRefFrame
| Boolean value indicating if the current frame is a reference frame.
__u32 | bIdrFrame
| Boolean value indicating if the current frame is an IDR.
__u32 | bLTRefFrame
| Boolean value indicating if the current frame is a long term reference frame.
__u32 | nPictureOrderCnt
| Picture order count of the current frame.
__u32 | nFrameNum
| Frame number.
__u32 | nLTRFrameIdx
| Long Term Frame Index of the current frame.

## Detailed Description

Holds the the frame specific metadata for the current frame.

Definition at line 863 of file v4l2_nv_extensions.h.

## Member Data Documentation

__u32 v4l2_ctrl_videodec_currentframe_metadata_::bIdrFrame

Boolean value indicating if the current frame is an IDR.

Definition at line 868 of file v4l2_nv_extensions.h.

__u32 v4l2_ctrl_videodec_currentframe_metadata_::bLTRefFrame

Boolean value indicating if the current frame is a long term reference frame.

Definition at line 870 of file v4l2_nv_extensions.h.

__u32 v4l2_ctrl_videodec_currentframe_metadata_::bRefFrame

Boolean value indicating if the current frame is a reference frame.

Definition at line 866 of file v4l2_nv_extensions.h.

__u32 v4l2_ctrl_videodec_currentframe_metadata_::nFrameNum

Frame number.

Resets to zero for an IDR frame

Definition at line 874 of file v4l2_nv_extensions.h.

__u32 v4l2_ctrl_videodec_currentframe_metadata_::nLTRFrameIdx

Long Term Frame Index of the current frame.

Definition at line 876 of file v4l2_nv_extensions.h.

__u32 v4l2_ctrl_videodec_currentframe_metadata_::nPictureOrderCnt

Picture order count of the current frame.

Definition at line 872 of file v4l2_nv_extensions.h.

The documentation for this struct was generated from the following file:

- include/v4l2_nv_extensions.h